Follow

Next.jsを使っているとReact v17へのアップグレードはすぐさまできます。ですが@next/mdxを使っている場合、MDXの内部でReact.createElementが使われているのでビルドに失敗してしまっていました。

というわけでMDXにPull Requestを送ったところすぐさまmergeしていただきました。この修正を含むv1.6.19もリリースされているのでMDXを先にアップデートする必要がありますが、気軽にReact v17にアップグレードできるようになったのではないでしょうか。

Add annotation to use classic runtime by ykzts · Pull Request #1307 · mdx-js/mdx github.com/mdx-js/mdx/pull/130

· · Web · 0 · 0 · 0
Sign in to participate in the conversation
ykzts.technology

ykzts.technologyMastodonのコミッターの一人である山岸和利 (ykzts) が個人で使うために運用しているMastodonサーバーです。